Skip to main content
GET
Get virtual GPU cluster

Authorizations

Authorization
string
header
required

API key for authentication. Make sure to include the word apikey, followed by a single space and then your token. Example: apikey 1234$abcdef

Path Parameters

project_id
integer
required

Project ID

Example:

1

region_id
integer
required

Region ID

Example:

7

cluster_id
string<uuid4>
required

Cluster unique identifier

Example:

"1aaaab48-10d0-46d9-80cc-85209284ceb4"

Response

200 - application/json

OK

created_at
string<date-time>
required

Cluster creation date time

Example:

"2024-12-31T23:59:59Z"

flavor
string
required

Cluster flavor name

Example:

"g3-ai-32-192-1500-l40s-48-1"

has_pending_changes
boolean
required

True if any server in the cluster has pending (not yet applied) settings changes

Example:

false

id
string<uuid4>
required

Cluster unique identifier

Example:

"1aaaab48-10d0-46d9-80cc-85209284ceb4"

name
string
required

Cluster name

Example:

"my virtual gpu cluster"

servers_count
integer
required

Cluster servers count

Example:

2

servers_ids
string<uuid4>[]
required

List of cluster nodes

Example:
servers_settings
VirtualServerSettingsOutputSerializer · object
required
status
enum<string>
required

Cluster status

Available options:
active,
creating,
degraded,
deleting,
error,
rebooting,
rebuilding,
resizing,
shutoff
Example:

"active"

tags
TagSerializer · object[]
required

List of key-value tags associated with the resource. A tag is a key-value pair that can be associated with a resource, enabling efficient filtering and grouping for better organization and management. Some tags are read-only and cannot be modified by the user. Tags are also integrated with cost reports, allowing cost data to be filtered based on tag keys or values.

Example:
updated_at
string<date-time> | null
required

Cluster update date time

Example:

"2025-01-11T23:59:59Z"